// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "Data",
    platforms: [
        .iOS(.v10)
    ],
    products: [
        .library(
            name: "CMSData",
            targets: ["CMSData"]
        ),
        .library(
            name: "ErrorData",
            targets: ["ErrorData"]
        ),
        .library(
            name: "GMAppData",
            targets: ["GMAppData"]
        ),
        .library(
            name: "UIData",
            targets: ["UIData"]
        )
    ],
    dependencies: [ ],
    targets: [
        .target(
            name: "CMSData",
            dependencies: [],
            path: "Sources/CMS"
        ),
        .target(
            name: "ErrorData",
            dependencies: [
                .byName(name: "GMAppData")
            ],
            path: "Sources/Errors"
        ),
        .target(
            name: "GMAppData",
            dependencies: [],
            path: "Sources/GMApp"
        ),
        .target(
            name: "UIData",
            dependencies: [],
            path: "Sources/UI"
        ),

        // MARK: - Tests
        .testTarget(
            name: "CMSDataTests",
            dependencies: ["CMSData"],
            path: "Tests/CMSTests"
        ),
        .testTarget(
            name: "ErrorDataTests",
            dependencies: ["ErrorData"],
            path: "Tests/ErrorTests"
        )
    ]
)
