//
// ObservationTableRows.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation

/** A grouping of observation values that relate to the fetus recorded in the same activity */
public struct ObservationTableRows: Codable { 


    /** the ID of the careplan activity that these observations are pointing to (using a cross reference) */
    public var activityId: String?
    public var date: Date?
    /** Always following the week+day notation */
    public var gestationAge: String?
    /** Calculated from gestationAge e.g. (22+1) &#x3D; 22.14. Will return null if gestationAge is null; */
    public var weeksIntoPregnancy: Double?
    public var fetusPresentation: String?
    public var fetusWeightEstimate: NumericValueWithUnit?
    public var fetusActivity: [String]?

    public init(activityId: String?, date: Date?, gestationAge: String?, weeksIntoPregnancy: Double?, fetusPresentation: String?, fetusWeightEstimate: NumericValueWithUnit?, fetusActivity: [String]?) {
        self.activityId = activityId
        self.date = date
        self.gestationAge = gestationAge
        self.weeksIntoPregnancy = weeksIntoPregnancy
        self.fetusPresentation = fetusPresentation
        self.fetusWeightEstimate = fetusWeightEstimate
        self.fetusActivity = fetusActivity
    }

}
