import Foundation
import HTTPNetworking

struct TestRequest: HTTPRequest {
    typealias ResponseType = TestResponse

    var baseUrl: String
    var pathComponents: [String]
    var method: HTTPMethod
    var query: [String: String]?
    var body: Data?
    var headers: [String: String]
}

struct TestResponse: Response {
    typealias OutputType = Example

    let example: Example

    init(input: Data, response: HTTPURLResponse?) throws {
        self.example = try JSONDecoder().decode(Example.self, from: input)
    }
}

struct Example: Decodable {
    let title: String
    let text: String
}
