// The MIT License
//
// Original work sponsored and donated by The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
//
// Copyright (C) 2020 The Danish Health Data Authority (http://www.sundhedsdatastyrelsen.dk)
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of
// this software and associated documentation files (the "Software"), to deal in
// the Software without restriction, including without limitation the rights to
// use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
// of the Software, and to permit persons to whom the Software is furnished to do
// so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all
// copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
// SOFTWARE.

import XCTest
import GMAppData
import Combine
@testable import MinGraviditet

final class AddressTests: XCTestCase {

    func testFormattedAddress() throws {
        let address = ActivityLocationAddress(street: "Europaplads 2", zip: "8000", city: "Aarhus C")
        XCTAssertEqual("\(address.street!), \(address.zip!) \(address.city!)", address.formatted)

        let address2 = ActivityLocationAddress(street: nil, zip: "8000", city: "Aarhus C")
        XCTAssertEqual("\(address2.zip!) \(address2.city!)", address2.formatted)

        let address3 = ActivityLocationAddress(street: nil, zip: "8000", city: nil)
        XCTAssertEqual("\(address3.zip!)", address3.formatted)
    }

//    private var cancelBag = CancelBag()
//
//    func testCombineShare() {
//        let numbers = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]
//            .publisher
//            .print()
//        numbers
//            .sink(receiveValue: { _ in })
//            .store(in: &cancelBag)
//
//        numbers
//            .sink(receiveValue: { _ in })
//            .store(in: &cancelBag)
//    }
}
